This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 799702 - (python-ufl) Review Request: python-ufl - A compiler for finite element variational forms
Review Request: python-ufl - A compiler for finite element variational forms
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks: python-ffc FEniCS dolfin
  Show dependency treegraph
 
Reported: 2012-03-04 08:13 EST by Fabian Affolter
Modified: 2013-01-11 19:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-06 23:06:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-03-04 08:13:52 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl-1.0.0-1.fc16.src.rpm

Project URL: https://launchpad.net/ufl

Description:
The Unified Form Language (UFL) is a domain specific language for declaration of finite element discretizations of variational forms. More precisely, it defines a flexible interface for choosing finite element spaces and defining expressions for weak forms in a notation close to mathematical notation.

rpmlint output:
[fab@laptop017 SRPMS]$ rpmlint python-ufl*
python-ufl.src: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.src: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.src: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@laptop017 noarch]$ rpmlint python-ufl-1.0.0-1.fc16.noarch.rpm 
python-ufl.noarch: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.noarch: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.noarch: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Michael Scherer 2012-03-24 13:30:21 EDT
Hi,

- the source code say that the code is under LGPL v3+ , so the license Tag need to be fixed ( it say GPLv3+ ).

- there seems to be tests, have you tried to enable them in %check ?

- %{_mandir}/man1/*.gz should not hardcode the extension, as this could change later ( like xz, bz2, etc ). Better use .* 


- rm -rf %{buildroot}  is no longer needed in %install since a few version of Fedora.

Once this is fixed, i will start the formal review.
Comment 2 Fabian Affolter 2012-05-12 18:01:30 EDT
* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-3
- License issue fixed
- Test subpackage
- Demo subpackage

Updated packages:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl-1.0.0-3.fc16.src.rpm
Comment 3 Tomas Radej 2012-09-27 10:29:03 EDT
I take the liberty to review this package.
Comment 4 Tomas Radej 2012-10-02 08:38:27 EDT
Just before I proceed with the review, I want to ask you this: The package ufl-python, packaged by you (https://bugzilla.redhat.com/show_bug.cgi?id=693135), is a deliberate independent effort, or was it that you packaged the "wrong" ufl project by mistake and with this review you're getting in the "right" one?

I'm asking because if the latter is right, I would like you to consider removing the ufl-python package, unless you really want to maintain it.

Thank you, TR
Comment 5 Fabian Affolter 2012-10-07 06:52:32 EDT
I messed up with the package names in the first place. Now I'm maintain that package too because it was review and is ready to use. I see no reason to remove it. Of course, the situation is a bit unlovely due to the naming of those packages.
Comment 6 Tomas Radej 2012-10-29 11:24:09 EDT
Sorry that it took so long.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines

[!]: License file installed when any subpackage combination is installed.
>>>> Licence file missing from demo and test packages. Please note that
>>>> the actual licence file is COPYING.LESSER, while COPYING is provided
>>>> for files used at compile time, which are not included in the final
>>>> package.

[!]: %check is present and all tests pass.
>>>> Check section is commented out. Please, either uncomment it or provide
>>>> reasons why tests aren't being run.

[!]: Requires correct, justified where necessary.
>>>> Test subpackage requires python2-nose. Should be python-nose

[!]: Permissions on files are set properly.
>>>> E. g. /usr/lib/python2.7/site-packages/ufl/test/test_lhs_rhs.py does not
>>>> have the +x permission. I didn't check if the file is to be run, but 
>>>> since it has a shebang, I guess it is. Please also check these files:
>>>> /usr/lib/python2.7/site-packages/ufl/test/test_book_snippets.py
>>>> /usr/lib/python2.7/site-packages/ufl/test/test_tensoralgebra.py
>>>> /usr/lib/python2.7/site-packages/ufl/test/ufltestcase.py

>>>> Moreover, the file /usr/lib/python2.7/site-packages/ufl/demo/clean.sh
>>>> from the demo subpackage is not executable. Please, change that.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[!]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown
     or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/tradej/reviews/799702-python-ufl/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[x]: Package is not relocatable.
[!]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (ufl-1.0.0.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.26 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.26
INFO: Mock Version: 1.1.26
Start: lock buildroot
INFO: installing package(s): /home/tradej/reviews/799702-python-ufl/results/python-ufl-1.0.0-3.fc19.noarch.rpm /home/tradej/reviews/799702-python-ufl/results/python-ufl-test-1.0.0-3.fc19.noarch.rpm /home/tradej/reviews/799702-python-ufl/results/python-ufl-demo-1.0.0-3.fc19.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/tradej/reviews/799702-python-ufl/results/python-ufl-1.0.0-3.fc19.noarch.rpm', '/home/tradej/reviews/799702-python-ufl/results/python-ufl-test-1.0.0-3.fc19.noarch.rpm', '/home/tradej/reviews/799702-python-ufl/results/python-ufl-demo-1.0.0-3.fc19.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-ufl-test-1.0.0-3.fc19.noarch (/python-ufl-test-1.0.0-3.fc19.noarch)
           Requires: python2-nose
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-ufl-1.0.0-3.fc19.src.rpm
          python-ufl-1.0.0-3.fc19.noarch.rpm
          python-ufl-test-1.0.0-3.fc19.noarch.rpm
          python-ufl-demo-1.0.0-3.fc19.noarch.rpm
python-ufl.src: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.src: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.src: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
python-ufl.src:54: W: macro-in-comment %check
python-ufl.noarch: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.noarch: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.noarch: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
python-ufl.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_lhs_rhs.py 0644L /usr/bin/env
python-ufl.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ufl/test/mock.py
python-ufl.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_book_snippets.py 0644L /usr/bin/env
python-ufl.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_tensoralgebra.py 0644L /usr/bin/env
python-ufl.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/ufltestcase.py 0644L /usr/bin/env
python-ufl-test.noarch: W: no-documentation
python-ufl-test.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_lhs_rhs.py 0644L /usr/bin/env
python-ufl-test.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/ufl/test/mock.py
python-ufl-test.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/ufltestcase.py 0644L /usr/bin/env
python-ufl-test.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_book_snippets.py 0644L /usr/bin/env
python-ufl-test.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/test/test_tensoralgebra.py 0644L /usr/bin/env
python-ufl-demo.noarch: W: no-documentation
python-ufl-demo.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ufl/demo/clean.sh 0644L /bin/bash
4 packages and 0 specfiles checked; 11 errors, 9 warnings.




Requires
--------
python-ufl-1.0.0-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /usr/bin/env  
    /usr/bin/python  
    python(abi) = 2.7

python-ufl-test-1.0.0-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /usr/bin/env  
    python(abi) = 2.7
    python-ufl = 1.0.0-3.fc19
    python2-nose  

python-ufl-demo-1.0.0-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-ufl = 1.0.0-3.fc19



Provides
--------
python-ufl-1.0.0-3.fc19.noarch.rpm:
    
    python-ufl = 1.0.0-3.fc19

python-ufl-test-1.0.0-3.fc19.noarch.rpm:
    
    python-ufl-test = 1.0.0-3.fc19

python-ufl-demo-1.0.0-3.fc19.noarch.rpm:
    
    python-ufl-demo = 1.0.0-3.fc19



MD5-sum check
-------------
http://launchpad.net/ufl/1.0.x/1.0.0/+download/ufl-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6c6be9959e3dbb7b038356681b67563cff9839e5d0c184fcf051711239d15b02
  CHECKSUM(SHA256) upstream package : 6c6be9959e3dbb7b038356681b67563cff9839e5d0c184fcf051711239d15b02


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 799702 -m fedora-rawhide-x86_64


*** NOT APPROVED ***

Issues are summarized at the top of the comment.
Comment 7 Fabian Affolter 2012-12-08 09:17:35 EST
(In reply to comment #6)
> Issues:
> =======
> [!]: Package installs properly.
>      Note: Installation errors (see attachment)
> See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
> [!]: License file installed when any subpackage combination is installed.
> >>>> Licence file missing from demo and test packages. Please note that
> >>>> the actual licence file is COPYING.LESSER, while COPYING is provided
> >>>> for files used at compile time, which are not included in the final
> >>>> package.

License files added

> [!]: %check is present and all tests pass.
> >>>> Check section is commented out. Please, either uncomment it or provide
> >>>> reasons why tests aren't being run.

%check removed 

> [!]: Requires correct, justified where necessary.
> >>>> Test subpackage requires python2-nose. Should be python-nose

Fixed

> [!]: Permissions on files are set properly.
> >>>> E. g. /usr/lib/python2.7/site-packages/ufl/test/test_lhs_rhs.py does not
> >>>> have the +x permission. I didn't check if the file is to be run, but 
> >>>> since it has a shebang, I guess it is. Please also check these files:
> >>>> /usr/lib/python2.7/site-packages/ufl/test/test_book_snippets.py
> >>>> /usr/lib/python2.7/site-packages/ufl/test/test_tensoralgebra.py
> >>>> /usr/lib/python2.7/site-packages/ufl/test/ufltestcase.py

Fixed

> >>>> Moreover, the file /usr/lib/python2.7/site-packages/ufl/demo/clean.sh
> >>>> from the demo subpackage is not executable. Please, change that.

Fixed

[fab@laptop11 SRPMS]$ rpmlint python-ufl-1.0.0-4.fc17.src.rpm 
python-ufl.src: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.src: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.src: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@laptop11 noarch]$ rpmlint python-ufl*
python-ufl.noarch: W: spelling-error Summary(en_US) variational -> variation, variegation, motivational
python-ufl.noarch: W: spelling-error %description -l en_US discretizations -> indiscretions, discretionary, discolorations
python-ufl.noarch: W: spelling-error %description -l en_US variational -> variation, variegation, motivational
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Updated packages:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-ufl-1.0.0-4.fc17.src.rpm
Comment 8 Tomas Radej 2012-12-13 09:34:55 EST
Very good.

*** APPROVED ***
Comment 9 Fabian Affolter 2012-12-14 13:10:50 EST
Thanks for the review, Tomas.
Comment 10 Fabian Affolter 2012-12-14 13:11:12 EST
New Package SCM Request
=======================
Package Name: python-ufl
Short Description: A compiler for finite element variational forms
Owners: fab
Branches: F17 F18
InitialCC:
Comment 11 Gwyn Ciesla 2012-12-14 13:19:22 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-12-15 03:24:17 EST
python-ufl-1.0.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-ufl-1.0.0-4.fc17
Comment 13 Fedora Update System 2012-12-15 03:24:32 EST
python-ufl-1.0.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-ufl-1.0.0-4.fc18
Comment 14 Fedora Update System 2012-12-15 16:13:27 EST
python-ufl-1.0.0-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2013-01-06 23:06:12 EST
python-ufl-1.0.0-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2013-01-11 19:45:58 EST
python-ufl-1.0.0-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.